<script type="text/javascript">
function init() {
  scwSetDefaultLanguage();
  initEmphasize();
  initTimeline();
  t.setOnColor(function(fullSrc, x, y, setColor) {
    var src = fullSrc.substr(domain.length);
    $.get(domain+"util/rgb.php", { "src": src, "x": x, "y": y },
   function(data){
     setColor(data);
   });    
  });
  t.setReportableText("<i18n ref='tab1'/>");
  t.setColorText("<i18n ref='tab2'/>");
  
  t.setEditTitles("<i18n ref='tab3'/>", "<i18n ref='tab4'/>", "<i18n ref='tab5'/>", "<i18n ref='tab6'/>");
  setCloseAboveTitle("<i18n ref='tab7'/>");

  
  setCloseTimeEditTitle("<i18n ref='tab8'/>");
  showStatus(false, "<i18n ref='tab9'/>&nbsp;<?php echo($name); ?>");
  <command/>
}

function scwSetLanguage() {
   scwToday               = '<i18n ref="scw0"/>:';
   scwClear               = '<i18n ref="scw1"/>';
   scwDrag                = '<i18n ref="scw2"/>';
   scwArrMonthNames       = [<i18n ref="scw3"/>];
   scwArrWeekInits        = [<i18n ref="scw4"/>];
   scwInvalidDateMsg      = '<i18n ref="scw5"/>.\n';
   scwOutOfRangeMsg       = '<i18n ref="scw6"/>.';
   scwDoesNotExistMsg     = '<i18n ref="scw7"/>.';
   scwInvalidAlert        = [<i18n ref="scw8"/>];
   scwDateDisablingError  = [<i18n ref="scw9"/>];
   scwRangeDisablingError = [<i18n ref="scw10"/>];
}
</script>
<title><?php echo($name); ?> - Emphasize</title>
<link rel="alternate" type="application/atom+xml" title="<?php echo($name); ?> - Emphasize (Atom Feed)" href="<?php echo($domain); ?>/util/atom.php?a=<?php 
echo(between($base_href, 'a=', '&q=')); ?>">
</head>
<body onload="init()">
	<div class="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<div class="hc">
						<img id="placeedit" style="cursor: pointer" class="help"
							src="graphics/edit.png" align="top" onclick="togglePlaceEdit()"
							title="<i18n ref='tab10'/>" alt="<i18n ref='tab11'/>" border="0" width="42" height="42" />
						<div id="help_placeedit" class="docu"
							style="width: 320px; height: 314px;"><i18n ref='tab12'/><ul>
								<img src="graphics/horizontalSplit.png" /><i18n ref="tab3"/>.
								<br />
								<img src="graphics/verticalSplit.png" /><i18n ref="tab4"/><br />
								<img src="graphics/horizontalGlue.png" /><i18n ref="tab5"/>.
								<br />
								<img src="graphics/verticalGlue.png" /><i18n ref="tab6"/>.
								<br />
								<img src="graphics/colors.png" /><i18n ref="tab17"/>.
								<br />
							</ul><i18n ref="tab18"/></div>
					</div>
				</td>
				<td>
					<div class="hc">
						<a href="<?php echo($domain.'/util/settings.php');?>"
							onclick="return showConfig()" title="<i18n ref='tab19'/>"><img
							id="config" class="help" src="graphics/config.png" align="top"
							border="0" width="42" height="42" />
							<div id="help_config" class="docu"
								style="width: 220px; height: 44px;"><i18n ref="tab20"/></div>
					
					</div>
				</td>
				<td>
					<div class="hc">
						<img id="doLogout" style="cursor: pointer" class="help"
							src="graphics/exit.png" align="top" onclick="logout()"
							title="<i18n ref='tab21'/>" border="0" width="42" height="42" />
						<div id="help_doLogout" class="docu"
							style="width: 180px; height: 18px;"><i18n ref="tab22"/></div>
					</div>
				</td>
				<td width="100%" align="middle" valign="middle"><div class="hc">
						<input id="info" value="<i18n ref='tab23'/>" style="color:#777777;" class="help infoInput" maxlength="120" />
						<div id="help_info" class="docu"
							style="width: 280px; height: 134px;">
							&nbsp;<img src="graphics/info.png" valign="middle" /><i18n ref="tab24"/></div>
					</div></td>
				<td valign="middle"><br />
					<form name="report"
						action="<?php echo($domain.'/util/report.php'); ?>" method="GET"
						onsubmit="return updateReportTime();" target="_blank">
						<div class="hc">
							<select id="reportName" class="help" name="type">
								<?php
								foreach($reports as $report=>$report_name) {
									echo("<option value=\"$report\">$report_name</option>");
								}
								?>
							</select>
							<div id="help_reportName" class="docu"
								style="width: 180px; height: 28px;"><i18n ref="tab25"/></div>
						</div>
						<input name="token" type="hidden" value="<?php echo($token); ?>">
						<input name="time" type="hidden" value="">
						<div class="hc">
							<input id="reportFrom" class="help" name="from"
								onclick="scwShow(this,event);"
								value="<?php echo(gmdate('Y-m-01',time()-3600*24)); ?>"
								size="10" />
							<div id="help_reportFrom" class="docu"
								style="width: 180px; height: 44px;"><i18n ref="tab26"/></div>
						</div><i18n ref='rpb0'/><div class="hc">
							<input id="reportTo" class="help" name="to"
								onclick="scwShow(this,event);"
								value="<?php echo(gmdate('Y-m-d',time())); ?>" size="10" />
							<div id="help_reportTo" class="docu"
								style="width: 180px; height: 44px;"><i18n ref="tab28"/></div>
						</div>
						<div class="hc">
							<input id="reportSubmit" class="help" type="submit" name="Submit"
								value="<i18n ref='tab29'/>">
							<div id="help_reportSubmit" class="docu"
								style="width: 180px; height: 18px;"><i18n ref="tab30"/></div>
						</div>
					</form></td>
			</tr>
		</table>
	</div>
	<div id="editor"
		style="border-width: 2px; border-style: solid; border-color: white;">
		<div id="timeline" class="timeline">
			<noscript>
				<center style="font-size: 20px; color: red; text-decoration: blink;"><i18n ref='tab56'/>!
				</center>
			</noscript>
			<div id="templates" style="display: none; width: 100%; height: 100%;">
				<form action="" method="post" name="presets"
					onsubmit="return loadTempl();">
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td width="140"><i18n ref="tab31"/>:</td>
							<td id="templateSelectSpan" width="200"><?php $templates_included=true; include_once(dirname(__FILE__)."/../util/templates.php"); ?>
							</td>
							<td><div class="hc">
									<input id="loadTemplate" name="load" value="<i18n ref='tab32'/>" type="submit" class="help" />
									<div id="help_loadTemplate" class="docu"
										style="width: 320px; height: 44px;"><i18n ref="tab33"/></div>
								</div></td>
							<td><div class="hc">
									<input id="removeTemplate" name="remove" disabled="true"
										value="<i18n ref='tab34'/>" type="button" onclick="removeTempl()" class="help" />
									<div id="help_removeTemplate" class="docu"
										style="width: 320px; height: 44px;"><i18n ref="tab35"/></div>
								</div></td>
							<td width="40">&nbsp;</td>
							<td><input id="descTemplate" name="desc" value="<i18n ref='tab36'/>" type="text"
								onblur="checkTemplateName()" onkeyup="checkTemplateName()" /></td>
							<td><div class="hc">
									<input id="createTemplate" name="create"
										value="<i18n ref='tab37'/>" type="button" onclick="createTempl()" class="help" />
									<div id="help_createTemplate" class="docu"
										style="width: 320px; height: 44px;"><i18n ref="tab38"/></div>
								</div>
								<div class="hc">
									<input id="exportTemplate" name="export"
										value="<i18n ref='tab39'/>" type="button" onclick="exportTempl()" class="help" />
									<div id="help_exportTemplate" class="docu"
										style="width: 320px; height: 44px;"><i18n ref="tab40"/></div>
								</div></td>
							<td><div class="hc">
									<input id="importTemplate" name="import"
										value="<i18n ref='tab41'/>" type="button" onclick="importTempl()" class="help" />
									<div id="help_importTemplate" class="docu"
										style="width: 320px; height: 44px;"><i18n ref="tab42"/></div>
								</div></td>
						</tr>
					</table>
				</form>
			</div>
			<div id="time" class="tDiv">
				<div id="timetip" class="tTip">
					<span id="timetipText"></span>
				</div>
				<div id="tHours">
					<span class="tHour">initializing...</span>
				</div>
				<div id="tLine" class="tLine"></div>
				<div id="now" class="tNow">
					<img id="nowimg" src="graphics/now.png" title="<i18n ref='tab43'/>" width="19" height="58" class="help" />
					<div id="help_nowimg" class="docu"
						style="width: 180px; height: 18px;"><i18n ref="tab44"/></div>
				</div>
			</div>
		</div>
		<div id="timeTextContainer" class="hc">
			<input id="timeText" class="timeText help" type="text" size="14"
				style="text-align: center;" onblur="checkTimeText(null, this.value)"
				onkeyup="checkTimeText(event, this.value)" value="<i18n ref='tab43'/>" />
			<div id="help_timeText" class="docu"
				style="width: 300px; height: 470px;"><i18n ref="tab46"/>:
				<ul>
					<li><code><i18n ref="tab43"/></code>:&nbsp;<i18n ref="tab48"/>.</li>
					<li><code>-108s</code>:&nbsp;<i18n ref="tab49"/>.</li>
					<li><code>-20m</code>:&nbsp;<i18n ref="tab50"/>.</li>
					<li><code>-3h</code>:&nbsp;<i18n ref="tab51"/>.</li>
					<li><code>-4d</code>:&nbsp;<i18n ref="tab58"/>.</li>
					<li><code>9:40</code>:&nbsp;<i18n ref="tab52"/>.</li>
					<li><code>15:23:30</code>:&nbsp;<i18n ref="tab53"/>.</li>
					<li><code>2010-09-29 19:01</code>:&nbsp;<i18n ref="tab54"/>.</li>
					<li><code>2010-10-03 10:59:12</code>:&nbsp;<i18n ref="tab55"/>.</li>
				</ul>
			</div>
		</div>
		<div id="blind" style="display: none; height: 50pt;" title="<i18n ref='tab47'/>">
		</div>
		<table id="table" class="tabletti" width="100%" height="80%"
			border="0" cellspacing="2" cellpadding="0">
			<?php echo($tbody); ?>
		</table>
	</div>
	<?php echo(getUserAvatar($avatar));?>
	
